Package org.jfree.layouting.input.style.keys.page

## Class PageStyleKeys

- java.lang.Object
- - org.jfree.layouting.input.style.keys.page.PageStyleKeys

-     public class PageStyleKeys
      extends java.lang.Object

  Creation-Date: 30.11.2005, 17:11:54
  Author:
    Thomas Morgner

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static StyleKey` | `HORIZONTAL_PAGE_SPAN` | A dimension ({length}{2}) that defines how often the page is repeated horizontally and vertically if the content does not fit.
    `static StyleKey` | `IMAGE_ORIENTATION` |
    `static StyleKey` | `LOGICAL_SIZE` | The logical Page Size
    `static StyleKey` | `ORPHANS` |
    `static StyleKey` | `PAGE` |
    `static StyleKey` | `PAGE_BREAK_AFTER` |
    `static StyleKey` | `PAGE_BREAK_BEFORE` |
    `static StyleKey` | `PAGE_BREAK_INSIDE` |
    `static StyleKey` | `PAGE_POLICY` |
    `static StyleKey` | `SIZE` | The physical Page Size
    `static StyleKey` | `VERTICAL_PAGE_SPAN` |
    `static StyleKey` | `WIDOWS` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SIZE

          public static final StyleKey SIZE

      The physical Page Size

    - #### LOGICAL_SIZE

          public static final StyleKey LOGICAL_SIZE

      The logical Page Size

    - #### HORIZONTAL_PAGE_SPAN

          public static final StyleKey HORIZONTAL_PAGE_SPAN

      A dimension ({length}{2}) that defines how often the page is repeated horizontally and vertically if the content does not fit.

    - #### VERTICAL_PAGE_SPAN

          public static final StyleKey VERTICAL_PAGE_SPAN

    - #### PAGE_BREAK_BEFORE

          public static final StyleKey PAGE_BREAK_BEFORE

    - #### PAGE_BREAK_AFTER

          public static final StyleKey PAGE_BREAK_AFTER

    - #### PAGE_BREAK_INSIDE

          public static final StyleKey PAGE_BREAK_INSIDE

    - #### PAGE

          public static final StyleKey PAGE

    - #### PAGE_POLICY

          public static final StyleKey PAGE_POLICY

    - #### ORPHANS

          public static final StyleKey ORPHANS

    - #### WIDOWS

          public static final StyleKey WIDOWS

    - #### IMAGE_ORIENTATION

          public static final StyleKey IMAGE_ORIENTATION